package com.yxproject.start.mapper;

import com.yxproject.start.entity.PoliceStationApplyReasonEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * Created by zhangyusheng on 2018/11/12 14:24
 */
@Mapper
public interface PoliceStationApplyReasonMapper {
    public int savePoliceStationApplyReasonEntity(PoliceStationApplyReasonEntity policeStationApplyReasonEntity);
    public int updatePoliceStationApplyReasonEntity(PoliceStationApplyReasonEntity policeStationApplyReasonEntity);
    public List<Map<String,Object>> findNormalApplyReasonByCyclesheetID(String cyclesheetid);
    public List<Map<String,Object>> findSpecialApplyReasonByCyclesheetID(String cyclesheetid);
    public List<Map<String,Object>> findPoliceStationApplyReasonBySaveDate(String save_Date);
    public List<Map<String,Object>> findPoliceStationApplyReasonByCardType(String cardType);
    public List<Map<String,Object>> findPoliceStationApplyReasonByCity(String city);
    public List<Map<String,Object>> findPoliceStationApplyReasonByCounty(String county);
    public List<Map<String,Object>> findPoliceStationApplyReasonByPoliceStation(String policeStation);
}
